/*
Mathias Jüsche
 Multimedia|VR-Design
 Burg Giebichenstein Kunsthochschule Halle
 Campus Design, Medienzentrum
 Neuwerk 1, 06108 Halle, Germany
 2015-04
 */

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

void setup() {
  size(displayWidth/2, displayHeight/2, P3D);
  noStroke();
}

void draw() {

  background(0);

  translate(width/2, height/2, 0);
  scale(map(mouseX, 0, width, 1, 3));
  rotateX(map(mouseY, 0, height, -PI, PI));



  //Stunde
  translate(0, 0, 10);
  pushMatrix();
  rotateZ(TWO_PI/12*hour()+TWO_PI/12/60*minute()+TWO_PI/12/60/60*second()+PI/2);
  translate(-40, 0, 0);
  fill(100);
  box(100, 10, 10);
  popMatrix();

  //Minute
  translate(0, 0, 10);
  pushMatrix();
  rotateZ(TWO_PI/60*minute()+PI/2+TWO_PI/60/60*second());
  translate(-40, 0, 0);
  fill(200);

  box(100, 10, 10);
  popMatrix();


  //Sekunde
  translate(0, 0, 10);
  pushMatrix();
  rotateZ(TWO_PI/60*second()+TWO_PI/60/1000*(System.currentTimeMillis()%1000)+PI/2);
  translate(-40, 0, 0);
  fill(255);
  box(100, 10, 10);
  popMatrix();
  //skala
  translate(0, 0, 10);
  pushMatrix();

  for (int i=0;i<60;i++) {
    pushMatrix();
    translate(0, 100, 0);
    if (second()==(i+30)%60) {
      fill(250, 0, 0);
    } else if (i==30) {
      fill(125);
    } else {
      fill(50, 150);
    }
    box(5, 5, 80);
    popMatrix();
    rotateZ(TWO_PI/60);
  }
  popMatrix();
}

